package com.yc.ship.module.ota.api.dto;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;


/**
 * 分销商充值
 */
@Schema(description = "RPC 服务 - 分销商交易")
@Data
public class BillOrderVerifyRespDTO {

    @Schema(description = "账单id", example = "27454")
    private Long billId;

    @Schema(description = "账单类型（1：旅行社账单 2：门店账单）", example = "1")
    private Integer type;

    @Schema(description = "截至未还款（0：不限制，1：限制分销商下单,2:限制门店下单）", example = "1")
    private Integer prohibitType;

}
