package com.yc.ship.module.ota.admin.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 分销商列表 Request VO")
@Data
public class DistributorListReqVO {

    @Schema(description = "名称，模糊匹配")
    private String name;

    @Schema(description = "状态", example = "1")
    private Integer isUse;
    @Schema(description = "类型", example = "1")
    private Integer type;
    @Schema(description = "是否自营 0否 1是", example = "1")
    private Integer selfSupport;

}
