package com.yc.ship.module.ota.admin.distributor.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 分销商交易日志 Response VO")
@Data
@ExcelIgnoreUnannotated
public class LoginTypeRespVO {

    @Schema(description = "分销商id", example = "22794")
    private Long distributorId;

    @Schema(description = "分销商名称", example = "22794")
    private String distributorName;

    @Schema(description = "分销商账号租户ID", example = "1")
    private Long accountTenantId;

    @Schema(description = "租户ID", example = "1")
    private Long tenantId;

    @Schema(description = "分销商类型", example = "1")
    private Integer type;

}
