package com.yc.ship.module.ota.admin.distributortype.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分销商类型 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DistributorTypeRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "9714")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "类型编码")
    @ExcelProperty("类型编码")
    private String typeCode;

    @Schema(description = "名称")
    @ExcelProperty("名称")
    private String name;

    @Schema(description = "是否启用")
    @ExcelProperty("是否启用")
    private Integer isUse;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "是否支持退票审核")
    private Integer supportRefundExamine;

}