package com.yc.ship.module.ota.admin.distributortype.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 分销商类型新增/修改 Request VO")
@Data
public class DistributorTypeSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "9714")
    private Long id;

    @Schema(description = "类型编码")
    private String typeCode;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "是否启用")
    private Integer isUse;

    @Schema(description = "是否支持退票审核")
    private Integer supportRefundExamine;

}