package com.yc.ship.module.ota.admin.distributor.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 用户 Excel 导入 VO
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false)
public class DistributorImportExcelVO {

    @ExcelProperty("全称")
    private String name;

    @ExcelProperty("简称")
    private String shortName;

    @ExcelProperty(value = "联系人")
    private String contactPerson;

    @ExcelProperty("联系电话")
    private String contactPhone;

    @ExcelProperty("地址")
    private String unitAddress;

    @ExcelProperty("开户行")
    private String depositBank;

    @ExcelProperty("账号")
    private String userName;

    @ExcelProperty("账号名")
    private String loginName;

    @ExcelProperty("统一信用代码")
    private String accountNumber;

    @ExcelProperty("开始时间")
    private String businessArea;

    @ExcelProperty("银行账号")
    private String bankAccount;

}
