package com.yc.ship.module.ota.admin.distributorcategory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 供应商分类新增/修改 Request VO")
@Data
public class DistributorCategorySaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "13159")
    private Long id;

    @Schema(description = "编码")
    private String cateCode;

    @Schema(description = "分类名称", example = "王五")
    private String cateName;

    @Schema(description = "排序号")
    private Integer sortNum;

    @Schema(description = "状态", example = "2")
    private Integer useStatus;

}