package com.yc.ship.module.ota.dal.mysql.distributorproduct;

import java.util.*;


import com.yc.ship.framework.mybatis.core.mapper.BaseMapperX;
import com.yc.ship.module.ota.admin.distributorproduct.vo.DistributorProductRespVO;
import com.yc.ship.module.ota.admin.distributorproduct.vo.product.ProductGroupRespVO;
import com.yc.ship.module.ota.dal.dataobject.distributorproduct.DistributorProductDO;
import com.yc.ship.module.ota.dal.dataobject.distributorproduct.DistributorProjectDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * 分销商基础产品规格 Mapper
 *
 * @author 管理员
 */
@Mapper
public interface DistributorProjectMapper extends BaseMapperX<DistributorProjectDO> {
    List<DistributorProjectDO> getDistributorProjectList(@Param("params") DistributorProjectDO params);

    List<ProductGroupRespVO> getProductGroupList(@Param("params") DistributorProjectDO params);
}